module ABNF
  module Parser
    module Rules
      class ProseVal
        attr_reader :abnf

        def initialize abnf
          @abnf = abnf
        end

        def call io, _=nil
          error = ABNF::Parser::Error.new "Cannot parse prose #{abnf.inspect}"
          raise error
        end
      end
    end
  end
end
