module ABNF
  module Parser
    module Rules
      class Reference
        attr_reader :rule_name

        def initialize rule_name
          @rule_name = rule_name
        end

        def abnf
          rule_name
        end

        def call io, rule_list
          rule = rule_list.fetch rule_name
          rule.(io, rule_list)
        end
      end
    end
  end
end
